# Copyright (c) 2021, Arm Limited.
#
# SPDX-License-Identifier: MIT

header:
  version: 10
  includes:
    - pcu-release.yml


repos:
  # Since in ewaol-release.yml we pin meta-arm repo, we exclude its layers in
  # here and eneable them in arm-machines.yml when included by specific kas
  # configs (e.g. n1sdp.yml)

  poky:
    url: https://git.yoctoproject.org/poky
    path: layers/poky
    layers:
       meta:
       meta-poky:
       meta-yocto-bsp:
   

  meta-openembedded:
    url: https://github.com/openembedded/meta-openembedded.git
    path: layers/meta-openembedded
    layers:
      meta-oe:
      meta-multimedia:
      meta-python:
      meta-networking:
      meta-gnome:
      meta-filesystems:
      meta-webserver:
      meta-perl:

  meta-virtualization:
    url: https://git.yoctoproject.org/meta-virtualization
    path: layers/meta-virtualization


  meta-cloud-services:
    url: https://git.yoctoproject.org/meta-cloud-services
    path: layers/meta-cloud-services


  meta-security:
    url: https://git.yoctoproject.org/meta-security
    path: layers/meta-security

  meta-freescale:
    url: https://git.yoctoproject.org/meta-freescale
    path: layers/meta-freescale

  meta-freescale-distro:
    url: https://github.com/Freescale/meta-freescale-distro.git 
    path: layers/meta-freescale-distro

  meta-qoriq:
    url: https://gitlab.com/autocore_publish/mpu/pcu_ewaol_yocto/meta-qoriq.git
    path: layers/meta-qoriq

local_conf_header:
  pcu-base: |
     PACKAGE_CLASSES = "package_rpm"
     EXTRA_IMAGE_FEATURES = "debug-tweaks"
     USER_CLASSES = "buildstats image-mklibs image-prelink"
     PATCHRESOLVE = "noop"

  diskmon: |
    BB_DISKMON_DIRS = "\
      STOPTASKS,${TMPDIR},1G,100K \
      STOPTASKS,${DL_DIR},1G,100K \
      STOPTASKS,${SSTATE_DIR},1G,100K \
      STOPTASKS,/tmp,100M,100K \
      ABORT,${TMPDIR},100M,1K \
      ABORT,${DL_DIR},100M,1K \
      ABORT,${SSTATE_DIR},100M,1K \
      ABORT,/tmp,10M,1K"
    PACKAGECONFIG_append_pn-qemu-system-native = " sdl"
    CONF_VERSION = "1"

  Parallelism Options: |
    BB_NUMBER_THREADS = "4"
    PARALLEL_MAKE = "-j 4"
    DL_DIR = "/home/autocore/pcu-ewaol/meta-ewaol/build/downloads" 
    SSTATE_DIR = "/home/autocore/pcu-ewaol/meta-ewaol/build/sstate-cache" 
    INITRAMFS_IMAGE = "core-image-minimal"
    ACCEPT_FSL_EULA = "1"

machine: ls1046afrwy
distro: fsl-qoriq


target:
  - fsl-image-networking-full 
